%global momorel 4

Summary: ddclient is a Perl client for updating DynDNS information
Name: ddclient
Version: 3.7.3
Release: %{momorel}m%{?dist}
Group: Applications/Internet
License: GPL
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: ddclient-3.7.1-init.patch
URL: http://ddclient.sourceforge.net/
BuildArch: noarch
PreReq: chkconfig
Requires: perl
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
ddclient is a Perl client used to update dynamic DNS entries for accounts
on many dynamic DNS services.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .sysvinit

%build

%install
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_initscriptdir}
install -m755 %{_builddir}/%{name}-%{version}/ddclient %{buildroot}%{_sbindir}/ddclient
install -m755 %{_builddir}/%{name}-%{version}/sample-etc_rc.d_init.d_ddclient.redhat %{buildroot}%{_initscriptdir}/ddclient
install -m644 %{_builddir}/%{name}-%{version}/sample-etc_ddclient.conf %{buildroot}%{_sysconfdir}/ddclient.conf

chmod 644 %{_builddir}/%{name}-%{version}/sample-*

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add ddclient

%postun
/sbin/service ddclient stop
/sbin/chkconfig --del ddclient

%files
%defattr(-,root,root)
%{_sbindir}/*
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/%{name}.conf
%{_initscriptdir}/%{name}
%doc COPYING COPYRIGHT README README.cisco
%doc sample-etc_cron.d_ddclient sample-etc_ddclient.conf
%doc sample-etc_dhclient-exit-hooks sample-etc_ppp_ip-up.local
%doc sample-etc_rc.d_init.d_ddclient sample-etc_rc.d_init.d_ddclient.redhat

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.7.3-4m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.7.3-3m)
- rebuild against gcc43

* Sat Feb  2 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.7.3-2m)
- rebuild against perl-5.10.0-1m

* Mon Sep 17 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.7.3-1m)
- update to 3.7.3
- do not use %%NoSource macro

* Fri Jun  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.7.1-1m)
- update to 3.7.1
- modify patch

* Tue May 23 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (3.6.7-2m)
- update patch (sorry)

* Tue May 23 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (3.6.7-1m)
- update to 3.6.7
- change URL

* Sat Jul  3 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (3.6.3-2m)
- stop daemon

* Sun Jul 13 2002 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.6.3-1m)
- update to 3.6.3
- mv sample-etc_dhclient-enter-hooks sample-etc_dhclient-exit-hooks
- change Source0 and URL (thanks to SIVA [Momonga-devel.ja:01632])
- No Nosource

* Sat Apr 20 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.6.2-2k)
- Kondara Project start.
- made from ddclient 3.6.1-4cl ( http://snapshot.conectiva.com/SRPMS/Networking/ddclient.html ) at Conectiva Linux SRPM packages (http://snapshot.conectiva.com/SRPMS/)

* Sat Jan 05 2002 Rodrigo Missiaggia <rodrigom@conectiva.com>
+ ddclient-3.6.1-4cl
- Changed chkconfig to 99 01 in /etc/rc.d/init.d/ddclient
- Changed echo to gprintf in /etc/rc.d/init.d/ddclient

* Sat Dec 29 2001 Roberto Selbach Teixeira <maragato@conectiva.com>
+ ddclient-3.6.1-3cl
- don't replace configuration file
- config file not world readable

* Fri Dec 28 2001 Roberto Selbach Teixeira <maragato@conectiva.com>
+ ddclient-3.6.1-2cl
- added patch for Alcatel Speed Touch Pro

* Mon Aug 27 2001 Claudio Matsuoka <claudio@conectiva.com>
+ ddclient-2.3.7-4cl
- dependency to perl changed to perl-bin (closes: #4271)

* Wed Nov  8 2000 Claudio Matsuoka <claudio@conectiva.com>
+ ddclient-2.3.7-3cl
- added Steve Greenland's man page for ddclient.

* Tue Nov  7 2000 Andreas Hasenack <andreas@conectiva.com>
+ ddclient-2.3.7-2cl
- do not restart samba
- do not use some strange proxy by default
- fixed dynamic IP detection (as long as ifconfig's output does not change
  in the future...)
- the ddupdate script no longer tries to use ddclient in /usr/local
- ddclient and ddupdate now are 755 instead of 700

* Tue Nov  7 2000 Claudio Matsuoka <claudio@conectiva.com>
+ ddclient-2.3.7-1cl
- package created
